<?php

class Core_Drivers_Content extends Core_Driver 
    implements Core_DriverBindings
{

    protected $Content = null;

    protected function construct()
    {    
        $Dirs = $this->getEntireSource();
        $FileName = array_pop($Dirs);
        //load the file
        $File = $this->getHarddriver
            (
                "Core", 
                "File", 
                array
                (
                    "Path" => Core_LibsysPaths::getFile
                        (
                            $this->getPart(), 
                            $Dirs,
                            strtolower($FileName)
                        )
                )
            );
        //read the content
        $this->Content = $File;
        //check if the harddriver had success
        if ( $File instanceof Core_Null )
        { 
            return;
        };
        $this->succeed();
        
    }
    
    public function getObject()
    {
        return new Core_Text($this->Content->getContent());
    }
    
    public function getText()
    {
        return $this->Content->getContent();
    }
    
    public function getList()
    {
        return array(); //no good putput possible
    }
    
    public function getTable()
    {
        return array(); //no good putput possible
    }
    
    public function getDeepList()
    {
        return array(); //no good putput possible
    }


    public function getDeepTable()
    { 
        return array(); //no good putput possible
    }
    
    public function set($Receiver)
    {
        $this->Content->setContent($Receiver->getText());
    }
    
    
}



 ?>