<?php

abstract class Core_GenericController extends Core_Data
{

    private $Status = 0;
    
    public function __construct()
    {
        //use extensions of the data class
        $this->data_useForced("Success");
        //call the specific constructor
        if ( method_exists($this, "construct") )
        {
            $this->construct();
        };
    }
    
    public function __destruct()
    {
        //call the specific destructor
        if ( method_exists($this, "destruct") )
        {
            $this->destruct();
        };
    }
    
    public function getStatus()
    {
        return $this->Status;
    }    
    
    public function getName($Substitute)
    {
        return preg_replace
            (
                "/" . Core_LibsysClasses::getPattern() . "/",
                $Substitute,
                get_class($this)
            );
    }
    
    
    protected function run($Method)
    {
        //call the run method
        if ( method_exists($this, $Method) )
        {
            $this->$Method();
            if ( $this->data_Success_get() === true )
            { 
                $this->Status = 1;
            };
            return true;
        };
        return false;
    }


}

 ?>