<?php
//TODO: add some standard functions.....

abstract class Core_LibClass
{

    public static function extendsClass($Sub, $Class)
    {
        /* THE USE OF class_parents() IS ONLY FOR PHP 5.1.x
        switch ( gettype($Sub) )
        {
            case "array" : 
                //check if array is properly
                $Sub = self::handleArrayInput($Sub);
                if ( $Sub == false )
                {
                    return false;
                };
                //no break
            case "string":
                //check if class exists
                if ( !class_exists($Sub) )
                {
                    return false;
                };
                //no break
            case "object" :
                //check if class parents can be loaded
                $Parents = class_parents($Sub);
                if ( !is_array($Parents) )
                {
                    return false;
                };
                return in_array($Class, $Parents);
                //no break needed
            default:
                return false;
        };
        */
        switch ( gettype($Sub) )
        {
            case "array" : 
                //check if array is properly
                $Sub = self::handleArrayInput($Sub);
                if ( $Sub == false )
                {
                    return false;
                };
                break;
            case "string":
                //check if class exists
                if ( !class_exists($Sub) )
                { 
                    return false;
                };
                return (is_subclass_of($Sub, $Class));
                break;
            case "object" :
                return ($Sub instanceof $Class);
                break;
            default:
                return false;
        };
        return false;
    }
    
    
    
    
    public static function implementsIface($Sub, $Iface)
    {
        /* THE USE OF class_implements() IS ONLY FOR PHP .1.x 
        switch ( gettype($Sub) )
        {
            case "array" : 
                //check if array is properly
                $Sub = self::handleArrayInput($Sub);
                if ( $Sub == false )
                {
                    return false;
                };
                //no break
            case "string":
                //check if class exists
                if ( !class_exists($Sub) )
                {
                    return false;
                };
            case "object" :
                //check if class "iface parents" can be loaded
                $Parents = class_implements($Sub);
                if ( !is_array($Parents) )
                {
                    return false;
                };
                return in_array($Iface, $Parents);
                //no break needed
            default:
                return false;
        };
        */
        
        //because there's no other way than to wait until PHP 5.1.x
        //this function returns always true....
        return true;
    }
    
    public static function implementsClass($Sub, $Iface)
    {
        return self::implementsIface($Sub, $Iface);
    }
    
    
    protected static function handleArrayInput($Array)
    {
        switch ( count($Array) )
        {
            case 0:
                return false;
                //no break needed
            case 1 :
                return $Array[0];
                //no break needed
            case 2 :
                return SystemTheme_Classes::getName($Array[0], $Array[1]);
                //no break needed
            default:
                return SystemTheme_Classes::getName
                        ($Array[0], $Array[1], $Array[2]);
        };
    }
    
    

}

 ?>