<?php

abstract class Core_Module extends Core_GenericController
{

    protected $Part = null;
    protected $Params = array();
    
    public final function __construct($Part, $Params=array())
    { 
        //save the parameters
        if ( is_array($Params) )
        { 
            $this->Params = $Params;
        }
        else
        {
            $this->Params = array($Params);
        };
        //save the part
        $this->Part = $Part;
        parent::__construct();
    }
    
    public final function __destruct()
    {
        parent::__destruct();
    }
    
    public final function run()
    { 
        return parent::run("runModule");
    }
    
    public final function getStatus()
    {
        return parent::getStatus();
    }
    
    public final function getPart()
    {
        return $this->Part;
    }
    
    public final function getName()
    {
        return parent::getName("\\3");
    }
   
    
    protected final function getParams()
    {
        return $this->Params;
    }
    
    protected final function getParam($Name)
    {
        if ( isset($this->Params[$Name]) )
        {
            return $this->Params[$Name];
        };
        return null;
    }


}

 ?>