<?php

class Core_Text
    implements Core_DriverReceiverBindings 
{

    protected $Content = "";
   
    public function __construct
    (
        $First="__special__value__",
        $Params=array()
    )
    {
        if ( !($First === "__special__value__") )
        {
            $this->set($First);
        };
    }
    
    public function getText()
    {
        return $this->Content;
    }
    
    public function getList()
    {
        return array($this->Content);
    }
    
    public function getTable()
    {
        return array($this->Content);
    }
    
    public function getDeepList()
    {
        return $this->getList();
    }
    
    public function getDeepTable()
    {
        return $this->getTable();
    }
    
    public function get()
    {
        return $this->Content;
    }
    
    public function set($Content)
    {
        //delete the former content
        $this->Content = "";
        //add the new content to the empty one
        return $this->add($Content);
    }
    
    public function add($Content)
    {
        $this->Content = $this->getInput($Content);
        return $this->Content;
    }
    
    public function match($Pattern)
    {
        return preg_match($Pattern, $this->Content);
    }
    
    public function replace($Pattern, $Substitute)
    {
        return preg_replace($Pattern, $Substitute, $this->Content);
    }
    
    
    protected function getInput($Value)
    {
        $String = "";
        switch ( gettype($Value) )
        {
            case "string":
                $String = $Value;
                break;
            case "array":
                foreach ( $Value as $Number => $Line )
                {
                    $String .= ($Line . "\n");
                };
                break;
            case "object":
                if ( method_exists($Value, "getText") )
                { 
                    $String = $Value->getText();
                };
                break;
        };
        return $String;
    }
  
    
}  
 ?>