<?php

abstract class SystemTheme_Classes
{

    static private $StdGlue = "_";
    
    
    static final function getGlue()
    {
        return self::$StdGlue;
    }
    
    static final function getPattern()
    {
        return "([a-zA-Z]+)_([a-zA-Z]+)_([a-zA-Z]+)";
    }
    
    
    static final function getName($Class, $Part, $Dir="lib")
    {
        if( strtolower($Dir) == "lib" )
        { 
            return $Part . self::$StdGlue . $Class;
        }; 
        return $Part . self::$StdGlue . $Dir . self::$StdGlue . $Class; 
    }
    
    
    
    
    
    
    static final function getFile($Class, $Part, $Dir, $Iface=false)
    {
        if ( $Iface == true )
        {    
            return SystemTheme_Paths::getFile
                (
                    $Part, 
                    $Dir,
                    (self::getName($Class, $Part, $Dir) . ".iface")
                );
        };
        return SystemTheme_Paths::getFile
            (
                $Part, 
                $Dir,
                (self::getName($Class, $Part, $Dir) . ".class")
            );
    }
    
    
     


     
    
}

 ?>