<?php

abstract class SystemTheme_Params
{

    static final function getLoadPattern()
    {
        return "^e([0-9]*)$";
    }
    
    static final function getLoadParamPattern()
    {
        return "^e([0-9]*)_([a-zA-Z0-9x_]*)$";
    }
    
    static final function getScreenPattern()
    {
        return "^([a-zA-Z]*)_([a-zA-Z]*)$";
    }

    static final function getScreenParamPattern()
    {
        return "([a-zA-Z]*)_([a-zA-Z]*)_([a-zA-Z0-9x_]*)$";
    }
        
    static final function getSuperPattern()
    {
        return "^([a-zA-Z]*)$";
    }
    
    static final function getSuperParamPattern()
    {
        return "^([a-zA-Z]*)_([a-zA-Z0-9x_]*)$";
    }
    
    static final function getPartPattern()
    {
        return "^([a-zA-Z]*)$";
    }
    
    static final function getModPattern()
    {
        return "^([a-zA-Z]*)_([a-zA-Z]*)$";
    }

    
    
    
    
    
    static final function getLoad($Number)
    {
        return "e".$Number."";
    }
    
    static final function getLoadParam($Number, $Name)
    {
        return "e".$Number."_".$Name."";
    }
   
    static final function getScreen($Part, $Name)
    {
        return "".$Part."_".$Name."";
    }
    
    static final function getScreenParam($Part, $Name, $Param)
    {
        return "".$Part."_".$Name."_".$Param."";
    }
    
    static final function getSuper($Name)
    {
        return "".$Name."";
    }
    
    static final function getSuperParam($Super, $Name)
    {
        return "".$Super."_".$Name."";
    }
    
    static final function getPart($Part)
    {
        return "".$Part."";
    }
    
    static final function getMod($Part, $Mod)
    {
        return "".$Part."_".$Mod."";
    }

    
}

 ?>