<?php

class Esse_Modules_View extends Core_Module
{

    protected $Hits = 0;
    protected $RequestedPage = null;
    protected $PageName = "default";

    protected function construct()
    {
        //load the page
        $this->RequestedPage = $this->loadPage($this->getParam("page"));
        if ( $this->RequestedPage->getText() == "" )
        {
            $this->RequestedPage = $this->loadPage("default");
        };
    }
    
    protected function loadPage($Name)
    {
        $this->PageName = $Name;
        return Kernel()->Core_Model()->get
            (
                "Esse",
                array("Pgs", $Name)
            );
    }
    
    protected function runModule()
    {
        //count the hits
        $Hits = $this->loadHits();
        $Hits->save
            (
                $this->getParam("page"),
                $Hits->get($this->PageName) + 1
            );
        Kernel()->Core_Model()->set
            (
                "Esse",
                array("Data", "Hits"),
                $Hits
            );
        $this->Hits = $this->loadHits()->get($this->PageName);
        $this->succeed();
    }
    
    protected function loadHits()
    {
        return Kernel()->Core_Model()->get
            (
                "Esse",
                array("Data", "Hits"),
                "Core_Table"
            );
    }
    
    public function getPage()
    {
        return $this->RequestedPage;
    }
    
    public function getHits()
    {
        return $this->Hits;
    }
}

 ?>