<?php

class Extras_Modules_Setup extends Extras_AdvancedModule
{
    
    private $Password = null;

    protected $UserPassword = "";
    protected $AlreadyExists = true;
    
    protected function construct()
    {
        $this->Password = Kernel()->Core_Model()->get
            ("Extras", array("Data", "InstallPW"));
       
            
        $this->report("UserPassword");
        $this->report("AlreadyExists");
    }
    
    protected function prepareModes()
    { 
        //check if a password already exists
        if ( $this->Password->getText() == "" )
        {
            $this->AlreadyExists = false;
        }
        else
        {
            $this->AlreadyExists = true;
        };
    }
    
    protected function runMode_default()
    { 
        // do nothing...
    }
    
    protected function runMode_set()
    {
        if ( $this->AlreadyExists == true )
        {
            return false;
        };
        //create an new password 
        $this->UserPassword = uniqid("", true);
        $this->Password = new Core_Text(md5($this->UserPassword));
        //save it
        Kernel()->Core_Model()->set
            ("Extras", array("Data", "InstallPW"), $this->Password);
    }

}

 ?>