<?php

class Core_Drivers_HttpEnv extends Core_Driver 
    implements Core_DriverBindings
{

    protected function construct()
    {   
        $this->succeed();
    }
    
    protected function getData()
    {
        return array
            (
                "server" => $_SERVER,
                "request" => $_REQUEST,
                "files" => $_FILES,
                "session" => $_SESSION
            );
    } 
    
    public function getObject()
    {
        return new Core_Table($this->getData());
    }
    
    public function getText()
    {
        return ''; // no good output to consider
    }
    
    public function getList()
    {
        return array(); //no good output possible
    }
    
    public function getTable()
    {
        return array(); //no good output possible
    }
    
    public function getDeepList()
    {
        return array_values($this->getData());
    }


    public function getDeepTable()
    {
        return $this->getData();
    }
    
    public function set($Receiver)
    {
        return true; //not possible
    }
    
    
}



 ?>