<?php

class Core_Harddrivers_Drivers extends Core_Harddriver
    implements Core_HarddriverBindings
{

    private $Drivers = array();

    protected function construct()
    {
        //initiate a driver for the parts directory
        $PartsDir = $this->getDriver("Core", "Parts", "Core", "");
        //go through all parts
        foreach ( $PartsDir->getList() as $Number => $Part )
        {
            //load the driver directory of the part
            $DriverDir = $this->getDriver
                    ("Core", "Directory", $Part, "Drivers");
            //generate the driver names from the dir entries
            foreach ( $DriverDir->getList() as $Number => $DriverFile )
            {
                $Driver = preg_replace
                    (
                        "/".Core_LibsysPaths::getFileMatch()."/",
                        "\\1", 
                        $DriverFile
                    );
                $this->Drivers[] = $Driver;
            };
        };
    }
    
    
    public function getDrivers()
    {
        return $this->Drivers;
    } 

}



 ?>