<?php

class Core_Harddrivers_File extends Core_Harddriver
    implements Core_HarddriverBindings
{

    protected $Path = "";
    protected $Content = "";
    
    protected function construct()
    {
        //get the location
        $this->Path = $this->getFirstParam(array("Path", "Location", "File"));
        //check if file exists
        if ( !is_file($this->Path) )
        { 
            return false;
        };
        //read in the contents of the file
        $this->Content = file_get_contents($this->Path);
        $this->succeed();
    }
    
    public function getContent()
    {
        return $this->Content;
    }
    
    public function getPath()
    {
        return $this->Path;
    }
    
    public function setContent($Content)
    {
        if ( $Content !== "" )
        {
            file_put_contents($this->Path, $Content);
        }
        else
        {
            if ( file_exists($this->Path) )
            {
                unlink($this->Path);
            };
        };
    }
    
    public function setPath($NewPath)
    {
        rename($this->Path, $NewPath);
    }


}

 ?>