<?php

class Core_Harddrivers_PartDirs extends Core_Harddriver 
    implements Core_HarddriverBindings
{

    private $Parts = array();

    
    protected function construct()
    { 
        //create a driver for the parts direactory
        $PartsDir = $this->getHarddriver
            (
                "Core", 
                "Directory", 
                array("Path" => Core_LibsysPaths::getParts())
            );
        //go through the entries, filter the dirs and save them
        foreach ( $PartsDir->getEntries() as $Number => $Entry )
        { 
            //initiate a new driver for this subdir
            $Subdir = $this->getHarddriver
                    (
                        "Core", 
                        "Directory", 
                        array("Path" => $PartsDir->getPath() . $Entry . "/")
                    ); 
            
            //check if the driver had success
            if ( $Subdir->getSuccess() == true )
            {
                //save the part with capitals
                $this->Parts[] = preg_replace
                        ("/^([a-z])/e", "strtoupper('\\1')", $Entry);
            };
        }
    }
    

    public function getParts()
    {
        return $this->Parts;
    }

}

 ?>