<?php

abstract class Core_Harddriver extends Core_GenericDriver
{

    public final function __construct($Params=array())
    {
        parent::__construct($Params);
    }
    
    public final function __destruct()
    {
        parent::__destruct();
    }
  
    protected final function getDriver
        ($DriverPart, $DriverName, $Part, $Source, $Params=array())
    {
        $ClassName = parent::getGenericDriverClass
                (
                    $DriverPart, 
                    $DriverName, 
                    "Drivers", 
                    Core_LibsysClasses::getName("Core", "Driver"),
                    Core_LibsysClasses::getName("Core", "DriverBindings")
                );
        if ( !empty($ClassName) )
        {
            return new $ClassName ($Part, $Source, $Params);
        };
        return new Core_Null();
    }   
    
    protected final function getHarddriver($Part, $Name, $Params=array())
    {
        $ClassName = parent::getGenericDriverClass
                (
                    $Part, 
                    $Name, 
                    "Harddrivers", 
                    Core_LibsysClasses::getName("Core", "Harddriver"),
                    Core_LibsysClasses::getName("Core", "HarddriverBindings")
                );
        if ( !empty($ClassName) )
        {
            return new $ClassName ($Params);
        };
        return new Core_Null();
    }

}



 ?>