<?php

abstract class Core_LibsysParams 
{

    public static function getLoadPattern()
    {
        return SystemTheme_Params::getLoadPattern();
    }
    
    public static function getLoadParamPattern()
    {
        return SystemTheme_Params::getLoadParamPattern();
    }
    
    public static function getScreenPattern()
    {
        return SystemTheme_Params::getScreenPattern();
    }
    
    public static function getScreenParamPattern()
    {
        return SystemTheme_Params::getScreenParamPattern();
    }
    
    public static function getSuperPattern()
    {
        return SystemTheme_Params::getSuperPattern();
    }
    
    public static function getSuperParamPattern()
    {
        return SystemTheme_Params::getSuperParamPattern();
    }
    
    public static function getPartPattern()
    {
        return SystemTheme_Params::getPartPattern();
    }
    
    public static function getModPattern()
    {
        return SystemTheme_Params::getModPattern();
    }
    
    
    public static function getPattern($Type)
    {
        switch ( strtolower($Type) )
        {
            case "load":
                return self::getLoadPattern();
            case "loadparam":
                return self::getLoadParamPattern();
            case "screen":
                return self::getScreenPattern();
            case "screenparam":
                return self::getScreenParamPattern();
            case "super":
                return self::getSuperPattern();
            case "superparam":
                return self::getSuperParamPattern();
            case "part":
                return self::getPartPattern();
            case "mod":
                return self::getModPattern();
        };
        return false;
    }
    
    
    
    
    
    public static function getLoad($Number)
    {
        return SystemTheme_Params::getLoad($Number);
    }
    
    public static function getLoadParam($Number, $Name)
    {
        return SystemTheme_Params::getLoadParam($Number, $Name);
    }
   
    public static function getScreen($Part, $Name)
    {
        return SystemTheme_Params::getScreen($Part, $Name);
    }
    
    public static function getScreenParam($Part, $Screen, $Name)
    {
        return SystemTheme_Params::getScreenParam($Part, $Screen, $Name);
    }
    
    public static function getSuper($Name)
    {
        return SystemTheme_Params::getSuper($Name);
    }
    
    public static function getSuperParam($Super, $Name)
    {
        return SystemTheme_Params::getSuperParam($Super, $Name);
    }
    
    public static function getPart($Part)
    {
        return SystemTheme_Params::getPart($Part);
    }
    
    public static function getMod($Part, $Mod)
    {
        return SystemTheme_Params::getMod($Part, $Name);
    }




}

 ?>