<?php


class Core_Null
{

    private $NullValue = null;
    
    public function __construct($NullValue=null)
    {
        $this->NullValue = $NullValue;
    }

    public function __get($Var)
    {
        return $this->NullValue;
    }
    
    public function __set($Var, $Val)
    {
        //do nothing
    }
    
    public function __call($Method, $Params)
    {
        return $this->NullValue;
    }
    
    public function __toString()
    {
        switch ( gettype($this->NullValue) )
        {
            case "array":
            case "object":
                return "";
            default:
                return strval($this->NullValue);
        };
    }

}


 ?>