<?php
//TODO: many things...


abstract class Core_Template extends Core_Data
{

    protected  $FilePart = "";
    protected  $FileStyle = "";
    protected  $FileName = "";
      
    protected $Type = "html";
    
    protected $Contents = null;
   
    protected $Params = array();
    protected $Style = null;
    protected $Screen = null;
    protected $Module = null;
    
    public final function __construct
    (
        $Style,  // style the template is used by (object)
        $FilePart,          // part the FILE comes from
        $FileStyle,         // style the FILE comes from (string)
        $FileName,          // name of the FILE
        $Params=array() // parameters...
    )
    { 
        $this->data_useForced("Success");
        $this->data_use("GetVars");
        //save the parameters
        $this->FilePart = $FilePart;
        $this->FileStyle = $FileStyle;
        $this->FileName = $FileName;
        //load the file
        $this->Contents = Kernel()->Core_Model()->get
            (
                $this->FilePart, 
                array
                    (
                        "Tmpls", 
                        $this->FileStyle, 
                        $this->Type,
                        $this->FileName . ".tmpl"
                    )
            );
        //check the success
        if ( $this->Contents instanceof Core_Null )
        {
            return;
        };
        //save the parameters 
        $this->Params = $Params;
        //save the calling style
        $this->Style = $Style;
        //save screen and module
        $this->Screen = $this->Style->Screen();
        $this->Module = $this->Style->Module();
        //call the specific constructor
        if ( method_exists($this, "construct") )
        {
            $this->construct();
        };
    }
    
    public final function __destruct()
    {
        //call the specific destructor
        if ( method_exists($this, "destruct") )
        {
            $this->destruct();
        };
    }
    
    public function echoOutput()
    {
        echo $this->Contents->getText();
    }
    
    protected function construct()
    {
        
    }
    
    protected function destruct()
    {
        
    }
    
   


}

 ?>