<?php

    //load the system theme
    include_once (SYSTEM_THEME."init.inc.php");

    //check if the SystemTheme_Paths class file works is properly
    if 
    ( 
        !(
            class_exists("SystemTheme_Paths") 
            && class_exists("SystemTheme_Classes")
        )
    )
    {
        die("Early fatal error: Couldn't load the system theme");
    };
    
    //load main class
    require_once (SystemTheme_Classes::getFile("Main", "Core", "Lib"));
    
    //start pre-system
    $Presystem = new Core_Main();
    
    //check system
    $Presystem->checkSystem();
    //load kernel
    $Presystem->loadKernel();
    //check kernel
    $Presystem->checkKernel();
    
    //save kernel
    $Kernel = $Presystem->getKernel();
    
    //cleaning up system
    unset($KernelName);
    unset($KernelMode);
    unset($KernelLevel);
    unset($Presystem);
   
    //run the kernel
    $Kernel->run();
    
    //echo Kernel()->getKernelRequest("Name");//just4 testing
    
 ?>