<?php

//TODO: DRIVERS!!!

class Core_Templates_AdvancedHtml extends Core_Template
{
    protected $Type = "html";

    protected function construct()
    {
        $this->succeed();
    }
    
    protected function getURL($OverwriteParams=array())
    {
        $URL = $this->getBaseURL() . "?";
        $Params = $this->getParams($OverwriteParams);
        foreach ( $Params as $Name => $Value )
        {
            $Append = $Name . "=" . $Value . "&";
            $URL .= $Append;
        };
        return $URL;
    }
    
    protected function getBaseURL()
    {
        $Server = Kernel()->Core_Model()->get("Core", "HttpEnv")->get("server");
        return $Server["SCRIPT_FILENAME"];
    }
    
    protected function getParams($OverwriteParams=array())
    {
        $Params = Kernel()->Core_Model()->
            get("Core", "Params", "Core_List")->getDeepList();
        foreach ( $OverwriteParams as $Name => $Value )
        {
            $Params[$Name] = $Value;
        };
        return $Params;
    }
}