<?php

class Esse_Drivers_Source extends Core_Drivers_Driver 
    implements Core_DriverBindings
{

    protected $Driver = null;

    protected function construct()
    {
        $this->Driver = new Core_Null();
        //get the name
        $EntireSource = $this->getEntireSource();
        $Name = $EntireSource[count($EntireSource) - 1];
        //load the driver
        $DriverClass = Kernel()->Esse_Sources()->getDriverClass($Name);
        $Driver = $this->loadDriver($DriverClass);
        //check the driver
        if ( is_object($Driver) )
        { 
            $this->Driver = $Driver;
            $this->succeed();
        };
    }
    
    public function getObject()
    {
        return $this->Driver->getObject();
    }
    
    public function getText()
    {
        return $this->Driver->getText();
    }
    
    public function getList()
    {
        return $this->Driver->getList();
    }
    
    public function getTable()
    {
        return $this->Driver->getTable();
    }
    
    public function getDeepList()
    {
        return $this->Driver->getDeepList();
    }


    public function getDeepTable()
    { 
        return $this->Driver->getDeepTable();
    }
    
    public function set($Receiver)
    {
        $this->Driver->set($Receiver);
    }
    
    
}

 ?>