<?php

abstract class Esse_Source
{

    protected $Source = null;

    public final function __construct($Name)
    {
        //load the source
        $this->Source = Kernel()->Core_Model()->get
            ("Esse", array("Src", $Name));
        //call specific constructor if existing
        if ( method_exists($this, "construct") )
        {
            $this->construct();
        };
    }
    
    public final function __destruct()
    {
        //call specific constructor if existing
        if ( method_exists($this, "destruct") )
        {
            $this->destruct();
        };
    }
    
    public function get()
    {
        return $this->Source;
    }

}

 ?>