<?php
//TODO: build in more fetaures (examine classes, write)


class Extras_Drivers_Class extends Core_Driver
    implements Core_DriverBindings
{

    protected $ClassName = "";
    protected $File = null;

    protected function construct()
    {
        $Dirs = $this->getEntireSource();
        $Name = array_pop($Dirs);
        //build class-name
        $this->ClassName = Core_LibsysClasses::getName
            ($this->getPart(), $Dirs[0], $Name);
        //load the file
        $this->File = $this->getHarddriver
            (
                "Core", 
                "File", 
                array
                (
                    "Path" => Core_LibsysPaths::getFile
                        (
                            $this->getPart(), 
                            $Dirs,
                            $this->ClassName.".class"
                        )
                )
            );
        if ( $this->File instanceof Core_Null )
        { 
            return;
        };
        //check if the class already exists
        if ( class_exists($this->ClassName) == true )
        {
            $this->succeed();
            return;
        };
        //load the class
        ob_start();
        include ($this->File->getPath());
        ob_end_clean();
        //check if the class exists now
        if ( class_exists($this->ClassName) == true )
        {
            $this->succeed();
            return;
        };
        return;
    }
    
    public function getObject()
    {
        return new Core_Text($this->ClassName);
    }
    
    public function getText()
    {
        return $this->ClassName;
    }
    
    public function getList()
    {
        return explode("_", $this->ClassName);
    }
    
    public function getTable()
    {
        $Spaces = $this->getList();
        switch( count($Spaces) )
        {
            case 2:
                return array
                    (
                        "part" => $Spaces[0], 
                        "name" => $Spaces[1]
                    );
            case 3:
                return array
                    (
                        "part" => $Spaces[0], 
                        "sub" => $Spaces[1],
                        "name" => $Spaces[2]
                    );
            default: 
                return array();
        };
    }
    
    public function getDeepList()
    {
        return $this->getList();
    }
    
    public function getDeepTable()
    {
        return $this->getTable();
    }
    
    public function set($Reiceiver)
    {
        //makes no sense yet
    }

}

 ?>