<?php

class Extras_Drivers_Encryption
{
    //yes, this driver saves data only for one session

    static private $Passwords = array();
    
    protected $Label = "";
    
    protected function construct()
    {
        //create the definite label for this source
        $this->Label = $this->getPart();
        foreach ( $this->getEntireSource() as $Number => $Source )
        {
            $this->Label .= ("_" . $Source);
        };
        //check if a password with that label doesn't exist
        if ( !isset(self::Passwords[$this->Label]) )
        {
            //set the salt to null
            self::Passwords[$this->Label] = null;
        };
        $this->succeed();
    }
    
    public function getObject()
    {
        return new Core_Text(self::Passwords[$this->Label]);
    }
    
    public function getText()
    {
        return self::Passwords[$this->Label];
    }
    
    public function getList()
    {
        return array(self::Passwords[$this->Label]);
    }
    
    public function getTable()
    {
        return array($this->Label => self::Passwords[$this->Label]); 
    }
    
    public function getDeepList()
    {
        return $this->getList();
    }


    public function getDeepTable()
    { 
        return $this->getTable();
    }
    
    public function set($Receiver)
    {
        self::Passwords[$this->Label] = $Receiver->getText();
    }

}

 ?>